# PetscInfo

Logs informative data, which is printed to standard output or a file when the option -info <file> is specified.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscInfo_Private(const char func[],void *vobj, const char message[], ...)

Collective over PetscObject argument

### Synopsis

    PetscErrorCode PetscInfo(void *vobj, const char message[], ...))

### Input Parameter

| vobj | - object most closely associated with the logging statement
| message | - logging message, using standard "printf" format

### Options Database Key

       -info : activates printing of PetscInfo() messages

Note: Since this is a macro you must wrap the arguments in TWO sets of (())

Fortran Note: This routine is not supported in Fortran.

### Example of Usage

        Mat A

        double alpha

        PetscInfo1(A,"Matrix uses parameter alpha=%g\n",alpha);

### See Also

PetscInfoAllow()

Level:intermediate
Location: src/sys/verbose/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html